package com.yizhi.studylog.application.service;

import com.yizhi.studylog.application.domain.StudyLog;
import com.baomidou.mybatisplus.service.IService;

import java.util.List;

/**
 * <p>
 * 学习日志表 服务类
 * </p>
 *
 * @author fulan123
 * @since 2018-05-03
 */
public interface IStudyLogService extends IService<StudyLog> {

    Boolean insertList(List<StudyLog> studyLogs);

    List<StudyLog> selectStudyLogList(String type);

    List<String> listSessionId(Long startId);

    Long maxId();

    Long minId();

}
